% oneTurn.m simulates Craps, a popular casino game based on rolling a pair
% of dice. If the first roll is 2, 3, 7, 11, or 12 then no more rolls take
% place. If the first roll is anything else then this value is the point.
% Rolls continue until the point is rolled again or until a 7 is rolled.

% The first roll
n = 1;
roll = ceil(6*rand(1)) + ceil(6*rand(1));
fprintf('%d', roll);

if ( roll~=2 && roll ~= 3 && roll~=7 && roll~=11 && roll~=12 )
    point = roll;

    % Second roll
    n = 2;
    roll = ceil(6*rand(1)) + ceil(6*rand(1));
    fprintf(' %d', roll);

    while (roll~=point && roll~=7)
        % Another roll
        n = n + 1;
        roll = ceil(6*rand(1)) + ceil(6*rand(1));
        fprintf(' %d', roll);
    end
end

fprintf(' -> %d rolls\n', n);
